## org.eclipse.datatools.modelbase.dbdefinition
Interface TriggerDefinition

All Known Implementing Classes:
  TriggerDefinitionImpl

    public interface TriggerDefinition

A representation of the model object 'Trigger Definition'.

The following features are supported:

- `Maximum Reference Part Length`
- `Maximum Action Body Length`
- `Type Supported`
- `When Clause Supported`
- `Granularity Supported`
- `References Clause Supported`
- `Per Column Update Trigger Supported`
- `Instead Of Trigger Supported`
- `Row Trigger Reference Supported`
- `Table Trigger Reference Supported`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getTriggerDefinition()`

Method Summary
`int` `getMaximumActionBodyLength()` Returns the value of the 'Maximum Action Body Length' attribute.
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`int` `getMaximumReferencePartLength()` Returns the value of the 'Maximum Reference Part Length' attribute.
`boolean` `isGranularitySupported()` Returns the value of the 'Granularity Supported' attribute.
`boolean` `isInsteadOfTriggerSupported()` Returns the value of the 'Instead Of Trigger Supported' attribute.
`boolean` `isPerColumnUpdateTriggerSupported()` Returns the value of the 'Per Column Update Trigger Supported' attribute.
`boolean` `isReferencesClauseSupported()` Returns the value of the 'References Clause Supported' attribute.
`boolean` `isRowTriggerReferenceSupported()` Returns the value of the 'Row Trigger Reference Supported' attribute.
`boolean` `isTableTriggerReferenceSupported()` Returns the value of the 'Table Trigger Reference Supported' attribute.
`boolean` `isTypeSupported()` Returns the value of the 'Type Supported' attribute.
`boolean` `isWhenClauseSupported()` Returns the value of the 'When Clause Supported' attribute.
`void` `setGranularitySupported(boolean value)` Sets the value of the '`Granularity Supported`' attribute.
`void` `setInsteadOfTriggerSupported(boolean value)` Sets the value of the '`Instead Of Trigger Supported`' attribute.
`void` `setMaximumActionBodyLength(int value)` Sets the value of the '`Maximum Action Body Length`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setMaximumReferencePartLength(int value)` Sets the value of the '`Maximum Reference Part Length`' attribute.
`void` `setPerColumnUpdateTriggerSupported(boolean value)` Sets the value of the '`Per Column Update Trigger Supported`' attribute.
`void` `setReferencesClauseSupported(boolean value)` Sets the value of the '`References Clause Supported`' attribute.
`void` `setRowTriggerReferenceSupported(boolean value)` Sets the value of the '`Row Trigger Reference Supported`' attribute.
`void` `setTableTriggerReferenceSupported(boolean value)` Sets the value of the '`Table Trigger Reference Supported`' attribute.
`void` `setTypeSupported(boolean value)` Sets the value of the '`Type Supported`' attribute.
`void` `setWhenClauseSupported(boolean value)` Sets the value of the '`When Clause Supported`' attribute.

Method Detail

### getMaximumReferencePartLength

    int getMaximumReferencePartLength()

  Returns the value of the 'Maximum Reference Part Length' attribute.

  If the meaning of the 'Maximum Reference Part Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Reference Part Length' attribute.
  See Also:
    `setMaximumReferencePartLength(int)`, `DatabaseDefinitionPackage.getTriggerDefinition_MaximumReferencePartLength()`

### setMaximumReferencePartLength

    void setMaximumReferencePartLength(int value)

  Sets the value of the '`Maximum Reference Part Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Reference Part Length' attribute.
  See Also:
    `getMaximumReferencePartLength()`

### getMaximumActionBodyLength

    int getMaximumActionBodyLength()

  Returns the value of the 'Maximum Action Body Length' attribute.

  If the meaning of the 'Maximum Action Body Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Action Body Length' attribute.
  See Also:
    `setMaximumActionBodyLength(int)`, `DatabaseDefinitionPackage.getTriggerDefinition_MaximumActionBodyLength()`

### setMaximumActionBodyLength

    void setMaximumActionBodyLength(int value)

  Sets the value of the '`Maximum Action Body Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Action Body Length' attribute.
  See Also:
    `getMaximumActionBodyLength()`

### isTypeSupported

    boolean isTypeSupported()

  Returns the value of the 'Type Supported' attribute.

  If the meaning of the 'Type Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Supported' attribute.
  See Also:
    `setTypeSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_TypeSupported()`

### setTypeSupported

    void setTypeSupported(boolean value)

  Sets the value of the '`Type Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Type Supported' attribute.
  See Also:
    `isTypeSupported()`

### isWhenClauseSupported

    boolean isWhenClauseSupported()

  Returns the value of the 'When Clause Supported' attribute. The default value is `"true"`.

  If the meaning of the 'When Clause Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'When Clause Supported' attribute.
  See Also:
    `setWhenClauseSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_WhenClauseSupported()`

### setWhenClauseSupported

    void setWhenClauseSupported(boolean value)

  Sets the value of the '`When Clause Supported`' attribute.

  Parameters:
    `value` - the new value of the 'When Clause Supported' attribute.
  See Also:
    `isWhenClauseSupported()`

### isGranularitySupported

    boolean isGranularitySupported()

  Returns the value of the 'Granularity Supported' attribute.

  If the meaning of the 'Granularity Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Granularity Supported' attribute.
  See Also:
    `setGranularitySupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_GranularitySupported()`

### setGranularitySupported

    void setGranularitySupported(boolean value)

  Sets the value of the '`Granularity Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Granularity Supported' attribute.
  See Also:
    `isGranularitySupported()`

### isReferencesClauseSupported

    boolean isReferencesClauseSupported()

  Returns the value of the 'References Clause Supported' attribute.

  If the meaning of the 'References Clause Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'References Clause Supported' attribute.
  See Also:
    `setReferencesClauseSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_ReferencesClauseSupported()`

### setReferencesClauseSupported

    void setReferencesClauseSupported(boolean value)

  Sets the value of the '`References Clause Supported`' attribute.

  Parameters:
    `value` - the new value of the 'References Clause Supported' attribute.
  See Also:
    `isReferencesClauseSupported()`

### isPerColumnUpdateTriggerSupported

    boolean isPerColumnUpdateTriggerSupported()

  Returns the value of the 'Per Column Update Trigger Supported' attribute.

  If the meaning of the 'Per Column Update Trigger Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Per Column Update Trigger Supported' attribute.
  See Also:
    `setPerColumnUpdateTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_PerColumnUpdateTriggerSupported()`

### setPerColumnUpdateTriggerSupported

    void setPerColumnUpdateTriggerSupported(boolean value)

  Sets the value of the '`Per Column Update Trigger Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Per Column Update Trigger Supported' attribute.
  See Also:
    `isPerColumnUpdateTriggerSupported()`

### isInsteadOfTriggerSupported

    boolean isInsteadOfTriggerSupported()

  Returns the value of the 'Instead Of Trigger Supported' attribute.

  If the meaning of the 'Instead Of Trigger Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Instead Of Trigger Supported' attribute.
  See Also:
    `setInsteadOfTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_InsteadOfTriggerSupported()`

### setInsteadOfTriggerSupported

    void setInsteadOfTriggerSupported(boolean value)

  Sets the value of the '`Instead Of Trigger Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Instead Of Trigger Supported' attribute.
  See Also:
    `isInsteadOfTriggerSupported()`

### isRowTriggerReferenceSupported

    boolean isRowTriggerReferenceSupported()

  Returns the value of the 'Row Trigger Reference Supported' attribute.

  If the meaning of the 'Row Trigger Reference Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Row Trigger Reference Supported' attribute.
  See Also:
    `setRowTriggerReferenceSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_RowTriggerReferenceSupported()`

### setRowTriggerReferenceSupported

    void setRowTriggerReferenceSupported(boolean value)

  Sets the value of the '`Row Trigger Reference Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Row Trigger Reference Supported' attribute.
  See Also:
    `isRowTriggerReferenceSupported()`

### isTableTriggerReferenceSupported

    boolean isTableTriggerReferenceSupported()

  Returns the value of the 'Table Trigger Reference Supported' attribute.

  If the meaning of the 'Table Trigger Reference Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Trigger Reference Supported' attribute.
  See Also:
    `setTableTriggerReferenceSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_TableTriggerReferenceSupported()`

### setTableTriggerReferenceSupported

    void setTableTriggerReferenceSupported(boolean value)

  Sets the value of the '`Table Trigger Reference Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Table Trigger Reference Supported' attribute.
  See Also:
    `isTableTriggerReferenceSupported()`

### getMaximumIdentifierLength

    int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getTriggerDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.